Bug 1301732 - [GSS](6.4.z) IBM JDK 6 has issues handling a role with a "/" in the name when -Dorg.jboss.as.domain.management.security.parseGroupNameFromLdapDN=true
[GSS](6.4.z) IBM JDK 6 has issues handling a role with a "/" in the name when...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.4.6
Unspecified Unspecified
urgent Severity medium
: CR1
: EAP 6.4.7
Assigned To: Ivo Studensky
Josef Cacek
https://github.com/jbossas/jboss-eap/...
:
Depends On: 1196343
Blocks: eap647-payload
  Show dependency treegraph
 
Reported: 2016-01-25 15:53 EST by Brad Maxwell
Modified: 2017-01-17 06:54 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1196343
Environment:
Last Closed: 2017-01-17 06:54:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2138781 None None None 2016-01-25 16:09 EST

  None (edit)
Comment 1 Brad Maxwell 2016-01-25 15:58:04 EST
Issue only appears on IBM JDK 6, it appears to result from IBM JDK 6 using apache harmony and hitting this bug: https://issues.apache.org/jira/browse/HARMONY-4229
Comment 5 Jiří Bílek 2016-03-09 02:38:35 EST
Verified in EAP 6.4.7.CP.CR2. 

Due to bug in Apache Harmony with IBM JDK 1.6 [1] expected role with '/' character is still not assigned to user. However fix of this BZ causes that authentication can proceed and does not fail with IllegalArgumentException (caused by Apache Harmony bug).

[1] https://issues.apache.org/jira/browse/HARMONY-4229
Comment 6 Petr Penicka 2017-01-17 06:54:21 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.